Skip to main content
`Ctrl`+`K`

# SVDTRLanczosSetRestart

Sets the restart parameter for the thick-restart Lanczos method, in particular the proportion of basis vectors that must be kept after restart.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetRestart(SVD svd,PetscReal keep)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- keep - the number of vectors to be kept at restart

## Options Database Key

- -svd_trlanczos_restart keep - sets the restart parameter

## Notes

Allowed values are in the range [0.1,0.9]. The default is 0.5, which means that at restart the current subspace is compressed into another subspace with a reduction of 50% in size.

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosGetRestart()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosSetRestart_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages